Vision
Справочник APIСтатусы

Удаление статусов

Базовый URL

DELETE
https://v1.empr.cloud/api/v1/folders/{folderId}/statuses

Запрос

Заголовки запроса

Prop

Type

Параметры URL

Prop

Type

Тело запроса

Prop

Type

Пример запроса

const url =  "https://v1.empr.cloud/api/v1/folders/{folderId}/statuses"; const body = {  "status_ids": [    "e3b7b1e0-9b0a-4c9a-8b9a-9b0a4c9a8b9a"  ]}const options = {  method: "DELETE",  headers: {    "X-Token": "Your Token",     "Content-Type": "application/json"  },   body: JSON.stringify(body)};fetch(url, options)  .then((response) => {    response.json().then((data) => {      console.log(data);    });  })  .catch((error) => {    console.error(error);  });
import requestsurl = 'https://v1.empr.cloud/api/v1/folders/{folderId}/statuses' body = {  "status_ids": [    "e3b7b1e0-9b0a-4c9a-8b9a-9b0a4c9a8b9a"  ]}headers = {    'X-Token': 'Your Token',    'Content-Type': 'application/json'}response = requests.delete(url, headers=headers, json=body)print(response.json())
<?php$url = "https://v1.empr.cloud/api/v1/folders/{folderId}/statuses";$token = "Your Token"; $body = '{  "status_ids": [    "e3b7b1e0-9b0a-4c9a-8b9a-9b0a4c9a8b9a"  ]}';$headers = array(  'X-Token: '.$token,  'Content-Type: application/json');$ch = curl_init();curl_setopt($ch, CURLOPT_URL, $url);curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "DELETE");curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);curl_setopt($ch, CURLOPT_POSTFIELDS, $body);$data = curl_exec($ch);if (curl_errno($ch)) {    print "Error: " . curl_error($ch);} else {    var_dump($data);    curl_close($ch);}?>
// Requires tokio with features = ["macros", "rt-multi-thread"]// Requires reqwest with features = ["json"]// Requires serde_json#[tokio::main]async fn main() {    let url = "https://v1.empr.cloud/api/v1/folders/{folderId}/statuses";    let token = "Token";     let body = serde_json::json!(        {          "status_ids": [            "e3b7b1e0-9b0a-4c9a-8b9a-9b0a4c9a8b9a"          ]        }	);    let client = reqwest::Client::new();    let response = client        .delete(url)        .header("X-Token", token)        .json(&body)        .send()        .await        .expect("Failed to send request")        .json::<serde_json::Value>()        .await        .expect("Failed to parse response");    dbg!(response);}
package mainimport (	"bytes"	"io"	"net/http")func main() {	url := "https://v1.empr.cloud/api/v1/folders/{folderId}/statuses"	token := "Your Token"    body := []byte(`        {          "status_ids": [            "e3b7b1e0-9b0a-4c9a-8b9a-9b0a4c9a8b9a"          ]        }	`)	client := http.Client{}	req, err := http.NewRequest("DELETE", url, nil)	if err != nil {		panic(err)	}	req.Header.Add("X-Token", token)    req.Header.Add("Content-Type", "application/json")    req.Body = io.NopCloser(bytes.NewReader(body))	resp, err := client.Do(req)	if err != nil {		panic(err)	}	defer resp.Body.Close()	body, _ := io.ReadAll(resp.Body)	println(string(body))}
var url = "https://v1.empr.cloud/api/v1/folders/{folderId}/statuses";var token = "Your Token"; var body = """{  "status_ids": [    "e3b7b1e0-9b0a-4c9a-8b9a-9b0a4c9a8b9a"  ]}"""var client = new HttpClient();client.DefaultRequestHeaders.Add("X-Token", token);client.DefaultRequestHeaders.Add("Content-Type", "application/json");var contentBody = new StringContent(body, Encoding.UTF8, "application/json");var response = await client.DeleteAsync(url, contentBody);var content = await response.Content.ReadAsStringAsync();Console.WriteLine(content);

Ответ

Данные ответа

Prop

Type

Пример ответа

{
"data": []
}

На этой странице